Get Extended Address Information
curl --request GET \
--url https://toncenter.com/api/v2/getExtendedAddressInformationimport requests
url = "https://toncenter.com/api/v2/getExtendedAddressInformation"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://toncenter.com/api/v2/getExtendedAddressInformation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ok": true,
"result": {
"@type": "fullAccountState",
"address": {
"@type": "accountAddress",
"account_address": "EQCD39VS5jcptHL8vMjEXrzGaRcCVYto7HUn4bpAOg8xqB2N"
},
"balance": "1592521995920473",
"extra_currencies": [],
"last_transaction_id": {
"@type": "internal.transactionId",
"lt": "60294179000005",
"hash": "opzfb6lX3inMMTbyvp8Z/FmrrdgZ4D/NPZvDZOkjd0E="
},
"block_id": {
"@type": "ton.blockIdExt",
"workchain": -1,
"shard": "-9223372036854775808",
"seqno": 50940791,
"root_hash": "8Zcn3qPdpJY5nBOIOG5h/v3ABrPRQoahCOgbSmmICS0=",
"file_hash": "BLvAHAZGs/Zoozhdsn5VvADALGQc+CoaQBSUqj1tKWo="
},
"sync_utime": 1755283118,
"account_state": {
"@type": "wallet.v3.accountState",
"wallet_id": "698983191",
"seqno": 341
},
"revision": 2,
"@extra": "1755283135.0102983:6:0.11795169251963"
}
}Accounts
Get Extended Address Information
Similar to previous one but tries to parse additional information for known contract types. This method is based on tonlib’s function getAccountState. For detecting wallets we recommend to use getWalletInformation.
GET
/
getExtendedAddressInformation
Get Extended Address Information
Query Parameters
Identifier of target TON account in any form.
⌘I

